org.rrd4j.data

## Class VDef

- java.lang.Object
- - org.rrd4j.data.Source
  - - org.rrd4j.data.VDef

- All Implemented Interfaces:
    NonRrdSource

      class VDef
      extends Source
      implements NonRrdSource

  RRD VDEF (Variable Definition) implementation.
  Creates computed data sources by applying aggregation functions to existing data sources.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.data.Source

      `timestamps, values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VDef(String name, String defName, Variable aggr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `calculate(long tStart, long tEnd, DataProcessor dataProcessor)` Calculates values for the specified time range.
    `(package private) String` | `getDefName()`
    `Variable.Value` | `getValue()`
    `(package private) double[]` | `getValues()`

    - ### Methods inherited from class org.rrd4j.data.Source

      `getName, getTimestamps, setTimestamps, setValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VDef

          VDef(String name,
               String defName,
               Variable aggr)

  - ### Method Detail

    - #### calculate

          public void calculate(long tStart,
                                long tEnd,
                                DataProcessor dataProcessor)

      Calculates values for the specified time range.
      Specified by:
        `calculate` in interface `NonRrdSource`
      Parameters:
        `tStart` - start time for calculation
        `tEnd` - end time for calculation
        `dataProcessor` - DataProcessor object for accessing other data sources

    - #### getDefName

          String getDefName()

    - #### getValue

          public Variable.Value getValue()

    - #### getValues

          double[] getValues()

      Overrides:
        `getValues` in class `Source`